Contents
X.25 (QLLC) Link Service

  Configuring an X.25 (QLLC) Link Service

  Guidelines for Assigning Channel Numbers


Configuring an X.25 (QLLC) Link Service

An X.25 (QLLC) link service enables you to connect SNA Server through public or private X.25 packet switching networks to host, peer, or downstream computers.

For information about the correct settings to use for your X.25 link service, contact your network administrator. For specific information about using IBM SDLC and MPCA adapters, see the Microsoft SNA Server Installation Guide.

Note  If you have an IBM SDLC adapter or an IBM MCPA adapter, you cannot use a transmission speed greater than 9600 baud for an X.25 connection. These adapters lack a coprocessor, and at high transmission speeds cannot handle full-duplex transmission, which is the type of transmission used by SNA Server X.25 connections.

To configure an X.25 (QLLC) link service

1	To change the default title, in the Service Title box, delete the default and type as many as 40 characters for the new title.

2	In the Card Type box, select the correct card.

3	Use the following table to configure the listed fields:

Field Name	Default
Local X.25 Address	No default
Default L3 Window Size	2
Default L3 Packet Size	128
L2 Window Size	7
T1 Timeout	30
N2 Retry Limit	10
Accept Reverse Charge	Off
Select Standby	Off
Startup Restart	On
Incoming Filter	On
Outgoing SVC	No default
Two-Way SVC	0001--0004
Incoming SVC	No default
PVC	No default
Data Rate	High
Encoding	NRZ
See also Guidelines for Assigning Channel Numbers.

4	Under Line Type, choose the appropriate option:

Leased (the default)

Switched: Modem-Stored Number

Switched: Manual Dial

5	If the Dialer Settings button is included in the dialog box, you can choose it and configure dialer settings.

6	After completing all the fields in this dialog box, choose Continue.

Setup copies the required files, and the Link Service Configuration dialog box appears, listing the entry for this link service.


 X.25

The CCITT standard used for communication over a packet-switching network. X.25 uses the protocol called Qualified Logical Link Control (QLLC).


Guidelines for Assigning Channel Numbers

When specifying channel numbers in the X.25 Link Service Configuration dialog box, remember that:

Channels must range from 1 through 4096.

The format for specifying channel numbers is x--x. For example, 0001--0004 is a valid entry for channel numbers.

There is no requirement for the number of channels a particular switched virtual circuit (SVC) or permanent virtual circuit (PVC) type uses, but the total number of channels among all types must be from 1 through 16.

Channel number ranges must be unique and must not overlap across different connection types.

To accept incoming calls, you need at least one SVC incoming or SVC two-way channel.

To configure more than one channel type, specify channel number values in ascending order: PVCs, incoming SVCs, two-way SVCs, and outgoing SVCs. PVCs do not need to start at channel 1, but they must be set for the lowest channel numbers in this link service. Outgoing SVCs do not need to end at channel 4096 but they must be set for the highest numbers in this link service.

See Also

Outgoing SVC Channel Range

Two-Way SVC Channel Range

Incoming SVC Channel Range

PVC Channel Range


Local X.25 Address

An address containing 15 decimal digits, with no spaces separating the digits. The final 3 digits of the address are used for routing between stations with the same 12-digit address.

There is no default.


Default L3 Window Size

The maximum number of packets that can be sent to or received from a remote computer before an acknowledgement is required. This applies only to switched virtual circuit (SVC) connections.

The range is from 1 through 7; the default is 2.


Default L3 Packet Size

The maximum length of data in each packet sent to or received from the remote computer through SVCs. This value can be overridden by any value entered in the User Data or Facility Data fields of the X.25 Setup dialog box in SNA Server Admin.

Allowed values are 64, 128, 256, and 512; the default is 128.


L2 Window Size

The number of frames that SNA Server can send to the network without having to wait for an acknowledgement.

The range is from 1 through 7; the default is 7.


T1 Timeout

The time, in tenths of a second, that the local system should wait for the remote system to respond to a transmission before the local system tries again. Specify a time greater than that needed for relaying frames back and forth between the local and remote systems.

The range is from 1 through 100 tenths of a second; the default is 30.


N2 Retry Limit

The number of times to attempt retransmiting data.

The range is from 1 through 100; the default is 10.


Accept Reverse Charge

Indicates whether SNA Server should accept an incoming call with reverse charge facility in the call packet.

The field is either on or off. The default is off.


Startup Restart

Indicates whether a restart should be performed each time the link is activated.

The field is either on or off. The default is on.


Select Standby

Sets the modem standby lines to on or off. A standby line is a backup line (usually switched) included on some leased line modems. Check your modem documentation for directions.

The field is either on or off. The default is off.


Data Rate

The data rate for communications between your modem and the communications adapter, in cases where the modem speed can be set in software.

Select Low if poor quality lines cause errors at the full rate. If you select High, CCITT Line 111 on the V24 interface is set to on. Check your modem documentation for directions.

The default is High.


Encoding

The encoding scheme for transmitting and receiving data. The local computer must use the same encoding scheme as the remote computer. When you connect to a host, your choice must match the option specified in the Line/Group macro.

The options are NRZ (nonreturn to zero) and NRZI (nonreturn to zero inverted). The default is NRZ.


Incoming Filter

Determines whether calls to X.25 addresses other than the local one are filtered out.

The field is either on or off. The default is on.


REMEMBER THAT CHANNEL STUFF  IS DUPLICATED IN TWO FORMS: POPUP AND NOTPOP.


Outgoing SVC

The range of switched virtual circuit (SVC) channels used for outgoing calls. Specify the smallest and largest numbers in the range, in the format x--x. For example, 0008--0009 is a valid entry.

For the Outgoing SVC channels, specify numbers greater than any PVC, Incoming SVC, or Two-Way SVC channels used by this link service. There is no default.


Two-Way SVC

The range of switched virtual circuit (SVC) channels that can be used for either incoming or outgoing calls. Specify the smallest and largest numbers in the range, in the format x--x. For example, 0006--0007 is a valid entry.

For the Two-Way SVC channels, specify numbers greater than any Incoming SVC channels but less than any Outgoing SVC channels used by this link service. The default is 0001--0004.


Incoming SVC

The range of switched virtual circuit (SVC) channels used for incoming calls. Specify the smallest and largest numbers in the range, in the format x--x. For example, 0004--0005 is a valid entry.

For the Incoming SVC channels, specify numbers greater than any PVC channels but less than any Two-Way SVC channels used by this link service. There is no default.


PVC

Permanent virtual circuit. The range of PVC channels used by the computer on the X.25 network. Specify the smallest and largest numbers in the range, in the format x--x. For example, 0001--0003 is a valid entry.

This range must be specified if a PVC connection uses the link service.

For the PVC channels, specify numbers less than any Incoming SVC, Two-Way SVC, or Outgoing SVC channels used by this link service. There is no default.


Outgoing SVC

The range of switched virtual circuit (SVC) channels used for outgoing calls. Specify the smallest and largest numbers in the range, in the format x--x. For example, 0008--0009 is a valid entry.

For the Outgoing SVC channels, specify numbers greater than any PVC, Incoming SVC, or Two-Way SVC channels used by this link service. There is no default.


Two-Way SVC

The range of switched virtual circuit (SVC) channels that can be used for either incoming or outgoing calls. Specify the smallest and largest numbers in the range, in the format x--x. For example, 0006--0007 is a valid entry.

For the Two-Way SVC channels, specify numbers greater than any Incoming SVC channels but less than any Outgoing SVC channels used by this link service. The default is 0001--0004.


Incoming SVC

The range of switched virtual circuit (SVC) channels used for incoming calls. Specify the smallest and largest numbers in the range, in the format x--x. For example, 0004--0005 is a valid entry.

For the Incoming SVC channels, specify numbers greater than any PVC channels but less than any Two-Way SVC channels used by this link service. There is no default.


PVC

The range of permanent virtual circuit (PVC) channels used by the computer on the X.25 network. Specify the smallest and largest numbers in the range, in the format x--x. For example, 0001--0003 is a valid entry.

This range must be specified if a PVC connection uses the link service.

For the PVC channels, specify numbers less than any Incoming SVC, Two-Way SVC, or Outgoing SVC channels used by this link service. There is no default.


Configuring Dialer Setup

In the Microgate Dialer Setup dialog box, specify options as follows:

COM Port

Select the number of the COM port; for example, for COM1, select 1.

If you are adding a COM port by adding this X.25 card, and you select a new number for that COM port, Setup responds by allowing you to access the appropriate dialog box for configuring the COM port within Windows NT.

The range is from None through 254. The default is None.

Baud Rate

Select the rate of transmission. The range includes relevant values from 75 through 115200. The default is 9600.

Incoming String

Type the string to be sent to the modem when an incoming call is detected. The default is AT&F&C1&S1&D3&Q1Q1S0=1. This string will be appropriate in most situations. For more information, see Command String Examples.

Outgoing String

Type the string to be sent to the modem when an outgoing call is detected. The default is AT&F&C1&S1&D3&Q1Q1S0=0DT. This string will be appropriate in most situations. For more information, see Command String Examples.


Leased

Choose this option for a dedicated telecommunications line.


Command String Examples

The elements in the command string AT&F&C1&S1&D3&Q1Q1S0=0DT have the following effects:

AT is the standard modem command prefix.

&F resets the modem to the factory defaults.

&C1 makes the modem track the status of the Carrier Detect (CD) line.

&S1 makes the modem raise the Data Set Ready (DSR) line after it has dialed.

&D3 makes the modem reset when the Data Transmit Ready (DTR) line drops.

&Q1 makes the modem come up in command mode and switch to synchronous mode when it has dialed. For some modems, this parameter is &M1.

Q1 turns off modem result codes.

S0=0 turns off auto-answer mode, so that the modem is set for outgoing calls.

DT dials the number following it, using tone dialing (DP indicates pulse dialing, used with older exchanges).

The elements in the command string AT&F&C1&S1&D3&Q1Q1S0=1 have the same effects as in the preceding list, except that S0=1 tells the modem to answer the phone after one ring.


Switched: Modem-Stored Number

Choose this option for a modem that stores a phone number. Make sure that the modem is configured to dial the number when the Data Terminal Ready (DTR) is raised, in conformance with the IEEE RS 232 Modem Specification for line 108.1.


Switched: Manual Dial

Choose this option if you will dial the phone number. SNA Server will prompt you when it is time to dial the number.